Bug 89205 - Unable to handle '.' in usernames (name.lastname)
Unable to handle '.' in usernames (name.lastname)
Status: CLOSED DUPLICATE of bug 115383
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
: 80462 88358 88877 100565 104179 108614 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-20 16:32 EDT by Josh Algdal
Modified: 2007-04-18 12:53 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:52:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allow period ('.') in usernames (502 bytes, patch)
2003-08-25 11:46 EDT, del
no flags Details | Diff

  None (edit)
Description Josh Algdal 2003-04-20 16:32:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
adduser is unable to handle the the character '.' in usernames, example 
name.lastname, even though it works very well when usernames like that is 
entered in /etc/passwd.

Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-6

How reproducible:
Always

Steps to Reproduce:
Type 'adduser red.hat' and hit enter.
    

Actual Results:  adduser: invalid user name 'red.hat'

Expected Results:  The username should be added.
Comment 1 hephaestus 2003-05-16 07:57:20 EDT
I too have experienced this bug (which is a major pain in the butt). In my case
it is a fresh installation (I have heard that this problem does not occur with
upgrades).

Does anyone have a workaround?  - Aside from editting the passwd file to change
the username manually, that it.

Comment 2 hephaestus 2003-05-19 10:02:47 EDT
The bug does not affect the command "newusers" so users can be created in batch
mode without problems.

In what is probably the most tedious workaround in history, an individual user
can be created directly from the keyboard using the following syntax:

echo 'username:password:::comment:homedirectory:defaultshell' | newusers
Comment 3 del 2003-08-25 11:46:21 EDT
Created attachment 93907 [details]
Patch to allow period ('.') in usernames
Comment 4 Milan Kerslager 2003-10-22 23:54:30 EDT
*** Bug 104179 has been marked as a duplicate of this bug. ***
Comment 5 Milan Kerslager 2003-10-22 23:56:59 EDT
*** Bug 88358 has been marked as a duplicate of this bug. ***
Comment 6 Milan Kerslager 2003-10-23 00:01:36 EDT
*** Bug 80462 has been marked as a duplicate of this bug. ***
Comment 7 Milan Kerslager 2003-10-23 00:18:35 EDT
The patch from comment #3 works. I made RPM package
shadow-utils-4.0.3-6.1.9.i386.rpm, you can grab it here:

ftp://ftp.linux.cz/pub/linux/people/milan_kerslager/RedHat-9/RPMS/
ftp://ftp.pslib.cz/pub/users/Milan.Kerslager/RedHat-9/RPMS/

I see no reason to not allow dots in usernames. I see no application that do not
allow usernames longer than 8 characters or dots in usernames since RH 6.0 or so.

Please accept this patch to be backward compatible with Red Hat Linux and allow
users to utilize glibc and other new tools. We are not living at 60's or 70's.
Comment 8 John Cummings 2003-10-30 13:25:40 EST
*** Bug 108614 has been marked as a duplicate of this bug. ***
Comment 9 Jose de Leon 2004-01-30 00:34:42 EST
I have this same problem, except my problem is serious.  I have 
thousands of users on RH7.3 with dots in usernames and I'm planning 
to migrate them as soon as possible.  Renaming these users is just 
not feasible.
Comment 10 B.R. 2004-02-02 21:19:11 EST
Just got hit with this one myself.  Way too many dot'ed users out
there to even consider removing the dots from all user accounts!  I
like the patch submitted, but it doesn't allow usernames that *begin*
with a dot.  I've no need for usernames beginning with a dot myself,
but if anyone out there does, please speak up now.  IMHO, this patch
should make it to release as soon as possible so folks can press
forward with upgrading their 7.x and 8.x boxes.
Comment 11 Rishi Gangoly 2004-02-02 23:06:52 EST
Or better yet... switch to Debian. Knoppix is pretty good. Once you 
get used to Debian, you won't switch to another GNU/Linux 
distro. ;-) 
 
BTW I tried creating a user starting with a dot and it allowed me to 
do so. However, if I try to login using the 'su' command it says: 
su: User not known to the underlying authentication module 
Sorry. 
And when I login from the console it says: Login incorrect 
 
So I guess this is a problem with something else and not shadow 
utils. ;-) 
 
Regards 
 
Rishi 
 
 
Comment 12 Miloslav Trmac 2004-02-07 12:31:24 EST
*** Bug 88877 has been marked as a duplicate of this bug. ***
Comment 13 Miloslav Trmac 2004-02-07 12:31:43 EST
*** Bug 100565 has been marked as a duplicate of this bug. ***
Comment 14 Onno van der Leun 2004-02-12 04:11:09 EST
The RPM from comment #7 worked on our RH9 servers ... but we also 
have the same problem on Fedora CORE 1 ... and on that the RPM won't 
install because Fedora uses a newer version ...

Can someone help me to make the ' . ' issue work on Fedora?!
Since i haven't yet found a solutions for Fedora yet ..

Thank you!
Comment 15 Milan Kerslager 2004-02-16 12:19:09 EST
As RH 9 is near of end-of-life, I'm marking as duplicate of new bug
related to RHEL3 (Red Hat Enterprise Linux).

I have patched version for RHEL3, see the bug #115383.

*** This bug has been marked as a duplicate of 115383 ***
Comment 16 Red Hat Bugzilla 2006-02-21 13:52:45 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.